<?php

return [
    'append' => [
        'title' => null
    ],
    'prepend' => [
        'title' => null
    ],
    /**
     * List of general metas (=> you can comment meta that you don't want to be generated by the package
     */
    'meta' => [
        // Basic
        'title' => [
            'key' => 'name',
            'value' => 'content'
        ],
        'description' => [
            'key' => 'name',
            'value' => 'content'
        ],
        'keywords' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'url' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'identifier-URL' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'url'
            ]
        ],
        'author' => [
            'key' => 'property',
            'value' => 'content'
        ],

        // canonical
        'canonical' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'url'
            ]
        ],

        // Dublin Core
        // @see https://www.metatags.org/dublin_core_metadata_element_set
        'dc.title' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'title'
            ]
        ],
        'dc.description' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'og:description',
                'description'
            ]
        ],
        'dc.source' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'dc.creator' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'author'
            ]
        ],

        // Facebook
        // @see https://developers.facebook.com/docs/sharing/webmasters/
        'fb:page_id' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'fb:app_id' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'og:title' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'title'
            ]
        ],
        'og:description' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'description'
            ]
        ],
        'og:url' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'url'
            ]
        ],
        'og:image' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'og:type' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'og:locale' => [
            'key' => 'property',
            'value' => 'content'
        ],

        // Twitter
        // @see https://developer.twitter.com/en/docs/tweets/optimize-with-cards/overview/markup.html
        'twitter:title' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'og:title',
                'title',
            ]
        ],
        'twitter:description' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'description'
            ]
        ],
        'twitter:image' => [
            'key' => 'property',
            'value' => 'content',
            'fallback' => [
                'og:image'
            ]
        ],
        'twitter:card' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'twitter:site' => [
            'key' => 'property',
            'value' => 'content'
        ],
        'twitter:creator' => [
            'key' => 'property',
            'value' => 'content'
        ],
    ]
];
